# jobs/urls.py - Clean URL version
from django.urls import path
from . import views

app_name = 'jobs'

urlpatterns = [
    # Job Management URLs
    path('', views.job_list, name='job_list'),
    path('create/', views.create_job, name='create_job'),
    path('jobpost/image/upload/<str:job_id>/',views.create_jobpost_image,name='create_jobpost_image'),
    path('<str:job_id>/', views.job_detail, name='job_detail'),
    path('<str:job_id>/edit/', views.edit_job, name='edit_job'),
    
    # LinkedIn Integration URLs
    path('<str:job_id>/post-to-linkedin/', views.post_to_linkedin, name='post_to_linkedin'),
    path('linkedin/login/', views.linkedin_login, name='linkedin_login'),
    path('linkedin/callback/', views.linkedin_callback, name='linkedin_callback'),
    
]